<?php

declare(strict_types=1);

namespace App\Filament\Resources\DberpCustomers\Pages;

use App\Filament\Resources\Concerns\InteractsWithDberpRegionAddress;
use App\Filament\Resources\DberpCustomers\DberpCustomerResource;
use App\Filament\Resources\Pages\CreateRecord;

class CreateDberpCustomer extends CreateRecord
{
    use InteractsWithDberpRegionAddress;

    protected static string $resource = DberpCustomerResource::class;

    protected function mutateFormDataBeforeCreate(array $data): array
    {
        return $this->mutateDberpRegionFormDataBeforePersist($data);
    }
}